
% testing spec node
-module(exspec13).

-spec fu([integer()]) -> list(integer()).
fu(X) when is_list(X) -> X.

-type queue(Type) :: {fifo, list(Type), list(Type)}.

-spec fuu() -> queue(integer()).
fuu() -> {fifo, [1], [1,2]}.

